Skip to main content
GET
List Project Virtual Keys

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

workspace_id
string<uuid>
required

Workspace identifier (UUID).

project_id
string<uuid>
required

Project identifier (UUID).

Query Parameters

user_id
string<uuid>

Filter to virtual keys issued to a specific user.

service_account_id
string<uuid>

Filter to virtual keys issued to a specific service account.

key_type
enum<string>

Filter by the type of identity the key is issued to.

Available options:
user,
service_account
status
enum<string>

Filter by key status.

Available options:
active,
disabled,
revoked
created_by
string<uuid>

Filter to virtual keys created by a specific user (UUID).

created_after
string<date-time>

Return only keys created after this time (ISO 8601 UTC).

created_before
string<date-time>

Return only keys created before this time (ISO 8601 UTC).

limit
integer
default:20

Maximum number of results to return per page.

Required range: x <= 100
cursor
string

Opaque pagination cursor from next_cursor in the previous response. Omit to start from the beginning.

Response

OK

limit
integer

Maximum number of items per page as requested.

next_cursor
string | null

Pagination cursor for the next page. null when no further pages exist. Total count is not returned.

items
object[]
Last modified on November 5, 2026